---
- hosts: all
  tasks:

  - name: install git on RHEL
    command: yum install git -y
    when: ansible_os_family == 'RedHat'


  - name: install git on Debian
    command: apt install git -y
    when: ansible_os_family == 'Debian'

  - name: install git on Suse
    command: zypper -n in git-core
    when: ansible_os_family == 'Suse'
